| IGLib 1.5 The IGLib base library for development of numerical, technical and business applications.

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Events
Public Member Functions | Properties | Private Attributes | List of all members
IG.Plot2d.GraphNPlot Class Reference

NPlot graphs plotting object. More...

Inheritance diagram for IG.Plot2d.GraphNPlot:
[legend]
Collaboration diagram for IG.Plot2d.GraphNPlot:
[legend]

## Public Member Functions
| GraphNPlot (PlotControlNPlot control)
| Creates a new graph plotter based on a NPlot control. More...
| GraphNPlot (PlotControlNPlot control, string title, string description)
| Creates a new graph plotter based on a NPlot control. More...
Public Member Functions inherited from IG.Plot2d.GraphBase
| GraphBase (string title, string description)
| Creates a GraphBase object with the specified title and description. More...
void | DetachGraphWindow ()
| Opens a new modal window containing the graph control that renders the current graph. More...

## Properties
PlotControlNPlot | Control`[get, protected set]`
| 2D plot control where graphic items are plotted. More...
Properties inherited from IG.Plot2d.GraphBase
object | Lock`[get]`
| Object used for thread locking of the current object. More...
virtual string | Title`[get, set]`
| Graph title. More...
virtual string | Description`[get, set]`
| Graph description. More...
List< GraphPlotItem > | PlotItems`[get]`
| Gets a list of axes maintained in the graph. More...
Form | ContainingForm`[get, set]`
Control | ContainingControl`[get, set]`
Thread | WindowThread`[get, protected set]`
| Thread in which new window is opened. More...
Properties inherited from IG.Lib.ILockable
object | Lock`[get]`

## Private Attributes
PlotControlNPlot | _control

## Additional Inherited Members
Static Public Member Functions inherited from IG.Plot2d.GraphBase
static void | Example ()
Protected Attributes inherited from IG.Plot2d.GraphBase
string | _title
string | _description
Thread | _windowThread

## Detailed Description

NPlot graphs plotting object.

$A Igor Jun09;

## Constructor & Destructor Documentation

IG.Plot2d.GraphNPlot.GraphNPlot | ( | PlotControlNPlot | control | ) |
| inline

Creates a new graph plotter based on a NPlot control.

Parameters

  control | Control used for plotting windows graphs.

IG.Plot2d.GraphNPlot.GraphNPlot | ( | PlotControlNPlot | control,
|  | string | title,
|  | string | description
| ) |  |
| inline

Creates a new graph plotter based on a NPlot control.

Parameters

  control | Control on which graphs are actually plotted.
  title | Title ofthe current plotter.
  description | Description of the current plotter.

## Member Data Documentation

PlotControlNPlot IG.Plot2d.GraphNPlot._control
| private

## Property Documentation

PlotControlNPlot IG.Plot2d.GraphNPlot.Control
| get protected set

2D plot control where graphic items are plotted.

The documentation for this class was generated from the following file:

- extensions/igplot2d/plot2d/develop/nplot/GraphNPlot.cs